GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
merge_channel_args.h File Reference
`#include "src/core/client_config/subchannel_factory.h"`

Go to the source code of this file.

## Functions
grpc_subchannel_factory * | grpc_subchannel_factory_merge_channel_args (grpc_subchannel_factory *input, const grpc_channel_args *args)
| Takes a subchannel factory, returns a new one that mutates incoming channel_args by adding a new argument; ownership of input, args is retained by the caller. More...

## Function Documentation

grpc_subchannel_factory* grpc_subchannel_factory_merge_channel_args | ( | grpc_subchannel_factory * | input,
|  | const grpc_channel_args * | args
| ) |  |

Takes a subchannel factory, returns a new one that mutates incoming channel_args by adding a new argument; ownership of input, args is retained by the caller.